//
//  ViewController.m
//  blockCallbackReplaceDelegate
//
//  Created by 杨淳引 on 15/7/17.
//  Copyright (c) 2015年 杨淳引. All rights reserved.
//

#import "ViewController.h"
#import "SYSegmentControl.h"

@interface ViewController ()<SYSegmentControlDelegate>

@property (nonatomic, assign) NSInteger selectedIndex;//选中的分页

@end

@implementation ViewController

#pragma mark - Lifecycle

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self basicConfig];
    
#warning 通过修改这句代码，可切换不同方式来使用segmentControl，效果相同
    [self usingDelegate];
//    [self usingBlockCallback];
}

#pragma mark - Private

- (void)basicConfig {
    self.selectedIndex = 0;
}

- (void)usingDelegate {
    NSArray *items = [NSArray arrayWithObjects:@"Shayne", @"Delegate", nil];
    CGRect segmentControlFrame = CGRectMake(0, 20, self.view.frame.size.width, 50);
    SYSegmentControl *segmentControl = [[SYSegmentControl alloc]initWithTitles:items frame:segmentControlFrame delegate:self];
    [self.view addSubview:segmentControl];
    
    [self refreshView];
}

- (void)usingBlockCallback {
    NSArray *items = [NSArray arrayWithObjects:@"Shayne", @"BlockCallback", nil];
    CGRect segmentControlFrame = CGRectMake(0, 20, self.view.frame.size.width, 50);
    __weak ViewController *weakself = self;
    SYSegmentControl *segmentControl = [[SYSegmentControl alloc]initWithTitles:items frame:segmentControlFrame callback:^(NSInteger index) {
        weakself.selectedIndex = index;
        [weakself refreshView];
    }];
    [self.view addSubview:segmentControl];
    
    [self refreshView];
}

//共用的刷新方法
- (void)refreshView{
    if (self.selectedIndex == 0) {
        self.view.backgroundColor = [UIColor yellowColor];
        
    }else if (self.selectedIndex == 1) {
        self.view.backgroundColor = [UIColor redColor];
    }
}

#pragma mark - SYSegmentControlDelegate

- (void)segmentControl:(SYSegmentControl *)segmentControl didSelectedIndex:(NSInteger)index {
    self.selectedIndex = index;
    [self refreshView];
}

@end
